<?php
require_once("accesBase.php");

$errors = array();
$errors[0] = "Le Raspberry Pi n'a pas été trouvé.",
$errors[1] = "Erreur lors de l'exécution d'Ansible.",
$errors[2] = "Echec de l'exécution sur un ou plusieurs Raspberry Pi.",
$errors[3] = "Un ou plusieurs Raspberry Pi est injoignable.",
$errors[4] = "Erreur de syntaxe Ansible.",
$errors[5] = "Mauvaises ou incomplètes options.",
$errors[99] = "Exécution interrompue par l'utilisateur.",
$errors[250] = "Erreur inattendue."

$arduino_simple = "[Arduino]\r\n";
$arduino_spi = "[Arduino]\r\n";
$nucleo = "[Nucleo]\r\n";

$version = getVersion($_POST['nom']);

if($version == 0)
{
	$ini = $arduino_simple;
}
elseif($version == 1)
{
	$ini = $arduino_spi;
}
elseif($version == 2)
{
	$ini = $nucleo;
}

$numero = getNumero($_POST['nom']);
$raspberry = getRaspberry($_POST['nom']);
$ini = $ini.$raspberry." capteur=".$numero."-".$version." setup=0 ordre=1\n";
file_put_contents('upload/inventaire.ini', $ini);

$retour = array();
$statut;
exec("super cmd.sh", $retour, $statut);

if($statut == 0)
{
	$message = "Le capteur a bien été arrêté !";
	$color = "alert-success";
}
else
{
	$ansible = "Code retour : ".$statut." => ".$errors[$statut]."<br/>";
	$message = "Echec lors de l'arrêt !";
	$color = "alert-danger";
}

$size = count($retour);
for($i = 0; $i<$size; $i++)
{
	$ansible = $ansible.$retour[$i]."<br/>";
}

session_start();
?>
<!DOCTYPE html>

<html>
        <head>
                <?php include("head.php"); ?>
        </head>

        <!-- Contenu du site -->
        <body>
                <?php 
                include("header.php");
                if(isset($_SESSION['Login'], $_SESSION['Password']))
                {
                        ?>
			<div class="row">
			        <div class="col-6 col-md-6 offset-md-3 offset-3">
                			<br/>
                			<h1 style="margin-bottom:20px; margin-top:60px; border-bottom:1px solid #CCC; padding-bottom:20px;"><i class="fas fa-history"></i> Arrêt d'un capteur</h1>


					<div class="alert <?php echo $color;?>" role="alert">
						<?php echo $message;?>
					</div>
					<div class="alert alert-secondary" role="alert">
						<?php echo $ansible;?>
					</div>
					<meta http-equiv="Refresh" content="5;url=data.php" />
				</div>
			</div>
			<?php
                }
                else
                {
                        include("formConnexion.php");
                }
                ?>
        </body>
</html>

